using Lada.Framework.Data.Domains;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Lada.Framework.Data.Mappings.EntityMappings
{
    public class AppConfigMap : IEntityMappingConfiguration<AppConfig>
    {
        public void Map(EntityTypeBuilder<AppConfig> builder)
        {
            builder.HasKey(a => a.Id);
            builder.ToTable("AppConfig");
        }
    }
}
